Issue 73090 - Master Slide / Custom Animations do not propogate
Summary: Master Slide / Custom Animations do not propogate
Status: CLOSED DUPLICATE of issue 57050
Alias: None
Product: Impress
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.1
Hardware: All All
: P3 Trivial with 11 votes (vote)
Target Milestone: ---
Assignee: clippka
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-03 17:40 UTC by lsm2007
Modified: 2013-08-07 15:20 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
example of broken custom animation propagation (11.88 KB, application/vnd.sun.xml.impress)
2007-01-03 20:41 UTC, lsm2007
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description lsm2007 2007-01-03 17:40:23 UTC
A master slide with indented bullets accepts custom animations, targeting
multiple levels of indentation.  However they do not propagate to newly created
slides.  This is a basic method of business presentation creation in Powerpoint,
which works almost exactly the same as Impress in this regard, except that the
custom animations propagate.  Until this is fixed, for many applications,
Impress  is impractical because between eight and twelve mouse clicks are
necessary to create custom animations on each page.
Comment 1 kpalagin 2007-01-03 19:58:20 UTC
lsm2007,
please provide sample file.
Comment 2 lsm2007 2007-01-03 20:40:15 UTC
Custom animations are designated in the included master slide for this document,
but they do not propagate in the example slide created, which should get (like
the master) animated appearance of each separate line, one at a time, without
further manual manipulation of the slide.  This works in Powerpoint which has a
virtually equivalent user interface, master slide model and custom animation
engine, and it is the FOUNDATION for speedy creation of presentations for
professional audiences.
Comment 3 lsm2007 2007-01-03 20:41:41 UTC
Created attachment 41867 [details]
example of broken custom animation propagation
Comment 4 wolframgarten 2007-01-04 07:48:28 UTC
Reassigned.
Comment 5 christian.guenther 2007-01-10 13:14:17 UTC
In my mind this is an enhancement and not a defect.
Set to new and change the target and type.
Comment 6 christian.guenther 2007-01-10 13:16:04 UTC
Please have a look.
Comment 7 lsm2007 2007-01-10 15:05:55 UTC
Absolutely this is not an enhancement.  It is a bug.  

OpenOffice's Master Slides accept custom animation settings, they just don't
propogate because the Master Slides code is broken.

This is a longstanding Powerpoint feature -- working for over three years and
well understood by its user base of business users -- and, indeed, the very
purpose of 'Master Slides' (on both OpenOffice and Powerpoint) is that the
features entered there propogate to the slides derived from it.

This bug is a huge barrier to adoption of OpenOffice and Impress among lots of
the evaluators I interact with, and a singular gating item that prevents its
usage.  It is a well known bug, seemingly to all but the active developers.
Comment 8 clippka 2007-01-11 12:30:42 UTC
Dear lsm2007,

please be assured that I put your task on my 'Fix this issue or I will buy the
competition! And all developers are stupid lazy chums!' Issue list.
Unfortunately this list is quite big currently so this may take some time...

Best Regards,
An active Developer
Comment 9 lsm2007 2007-01-11 15:04:18 UTC
I'm sorry if you encounter people "crying wolf" on a daily basis, and are
overflowing with bitter, sarcasm.  Can't help you there.

In my electronic files for December 2006 of presentations given by other parties
are 17 from major Wall Streen investment banks, 22 from New York based
management consulting firms, 7 presentations to Sand Hill Road venture capital
firms that were funded in calender 2006, and 9 foundation proposals funded by a
leading New York based charity.

I've finished going through them all.  Every one of them is a bullet
point-oriented  presentation, and in each case custom animations are set (and
propogating) off of Master Slides.

I wrote quite a number of Powerpoint presentations in 2006, and each one would
have involved four times the effort in Impress, because of this singular bug. 
Exactly the same problem would have faced the authors of the presentations
above.  And, it is noteworthy, this bug also prevents these files from opening
and viewing properly in Impress.  Finally, if you hand replicate the custom
animation instructions on each individual page of any of these presentations,
all the other elements work properly.  Hence this bug is *THE* gating item
preventing adoption and use of Impress.

Toss this in your "wha-ev-ah" file if you want.  I'm done.
Comment 10 clippka 2007-01-12 11:40:02 UTC
So if this is *THE* gating item preventing adoption and use of Impress, why are
you the first to report it after impress exists for over 10 years? Also there
are not even votes yet. I will look at it as soon as I have time but I most work
by priority...
Comment 11 lsm2007 2007-01-12 15:20:42 UTC
Don't you get it?  Serious evaluators toss Impress on the discard pile as soon
as this bug is evident.  They don't come inside the tent, to the point of
reporting bugs.  This report is from the front-lines of serious business usage
-- where decisions are made on platform adoption.  I've heard this bug discussed
at technology AND business roundtables, for goodness sake!  For months!

If you want to understand how important this feature is, search on powerpoint
custom animation, bullet points and master slides.  Or open any Powerpoint book
on your local bookstore shelf.

I don't understand how you can view a feature accepted by Master Slides that
does not propogate as a "new feature".  The purpose of Master Slides is
propogation.  If it doesn't propogate, it's a BUG.

"Wha-ev-ah".
Comment 12 kevincolyer 2007-10-30 13:46:58 UTC
This feature is a really useful one and vastly time saving. I pretty much 
always like to have bullet points appear line by line as I click. I use Fade 
In (very Fast) to make a subtle effect. It is very tedious adding to each 
slide this effect. I use masters all the time for backgrounds and it has 
puzzled me why effects do not propagate (fonts work strangely too IIRC).

I would really like to see this feature as it will save me many minutes.

Not sure I want to create a 100 page slideshow - that sounds like a torture to 
inflict on an audience!
Comment 13 gvsa123 2008-01-16 15:09:10 UTC
I also agree that this should be made availble (doesn't matter under which
classification... lol) as soon as possible. 

I believe the point of end users here is the fact the if you for example, had
100 slides or more in a presentation, where each slide contains 10 bullet
points, you would have to select and modify each slide manually to apply a
custom animation. that would mean an average of 5 clicks per slide x 100 slides,
just to apply a simple animation (for bullet entries to apply per paragraph or
one-by-one for example). this would be very tedious and impractical especially
for an end user who frequently makes presentations with a lot of slides.

I also know that this feature is available in PPT, which OOo should seriously
adopt in the nearest future because it is indeed a problem for users. I am not
sure how to go about this, but the point here is to allow users to apply custom
animations to all slides, similar to the "Apply to all slides" of slide transitions.

here are links to two of the thread I found from the forums regarding this
problem, from where I hope the developers can pick up:

http://www.oooforum.org/forum/viewtopic.phtml?p=270568#270568
http://www.oooforum.org/forum/viewtopic.phtml?t=61351&highlight=custom+animations
Comment 14 jimplamondon 2010-04-07 19:35:22 UTC
Gentlepersons,

cl wrote below, "So if this is *THE* gating item preventing adoption and use of Impress, why are
you the first to report it after impress exists for over 10 years? "

Because 
(1) OpenOffice has reached a point of maturity (and the economy has reached a point of depression) 
such that presentation professionals (such as myself) are willing to say, for the first time, "what the 
heck -- I'll download OpenOffice and give it a try."
(2) Having encountered this Master Slide bug within the first 15 minutes of such a test-drive -- as all 
presentations professionals will, due their universal use of Master Slide custom animations -- the 
presentation professional says to [his | her] self, "wow, for me to encounter such a massive bug in the 
first 15 minutes of using this app, such bugs must be extremely common in this app! Well, I guess you 
get what you pay for. I'm not going to waste another minute on it. Back to PowerPoint."

This bug, and cl's response to it, reminds me of the time Microsoft reduced the disk-space needed by 
Word by putting compiling some rarely-used features to p-code, which was smaller but slower (decades 
ago, obviously). One of the "rarely used features" was the word-count feature...which was used every 
day by 100% of journalists, including those who reviewed that version of Word.  Hence, its reviews 
invariably marked it down for being slow, because for them, it WAS slow.

The emergence of this bug as a show-stopper, after 10 years of being a "don't care," is *very* good 
news for OpenOffice. It shows that, for the first time, presentation professionals are taking OpenOffice 
seriously enough to give it a test-drive, and (even more importantly) seriously enough to bother 
registering and filing a bug report or a comment such as this one.

So:
- Rejoice!
- Fix this bug!
- Make a deal with an appropriate organization -- Toastmasters, perhaps -- in which (a) Toastmasters 
commits to presenting you with a list of the issues that they need to have be addressed in Impress 
before they can support it; (b) you commit to addressing those issues by a given date (say, three 
months before ToastMasters' 2011 annual convention); and (c) they commit that, if those issues are 
indeed addressed to their satisfaction, they will (i) endorse Impress at their convention, (ii) require all 
presenters at that convention to use Impress, (iii) shift their educational materials to use Impress (and 
NOT PowerPoint) within three months of the convention's end, etc. Get Oracle to kick in some cash to 
fund this targeted effort.
-Generally, exploit the emerging technical maturity of OpenOffice to initiate a more mature marketing 
& evangelism strategy, too.

IMHO: You've finally got a credible competitor to Microsoft Office; now, you've got to learn to compete.

There you go -- free advice to the open source community, from a guy who spent a decade 
successfully ramming Microsoft's de facto standards down the world's throat.

--- James Plamondon
Comment 15 almanme 2010-05-21 17:30:08 UTC
Was finally ready to try to embrace OOo but this one leaves me cold.  Use 
presentations weekly and need to have animation.  Can not take the time to animate 
each slide's text individually.  Just bought a new Win7 machine and was SO hoping 
to not have to buy new MS Office.  This feature is important enough to spend the 
money for MS PP.
Comment 16 clippka 2010-06-10 15:11:39 UTC
retargeting
Comment 17 clippka 2010-06-10 15:22:48 UTC
see that this is a duplicate to the older issue 57050

*** This issue has been marked as a duplicate of 57050 ***
Comment 18 clippka 2010-06-10 15:23:45 UTC
closing, will be implemented with issue 57050